/**
 * Extract filename or file URL
 *
 * @param {String} cdnUrl
 * @returns {String}
 */
export function extractFilename(cdnUrl: string): string;
/**
 * Extract UUID from CDN URL
 *
 * @param {string} cdnUrl
 * @returns {string}
 */
export function extractUuid(cdnUrl: string): string;
/**
 * Extract operations string from CDN URL
 *
 * @param {string} cdnUrl
 * @returns {string}
 */
export function extractCdnUrlModifiers(cdnUrl: string): string;
/**
 * Extract UUID from CDN URL
 *
 * @param {string} cdnUrl
 * @returns {string[]}
 */
export function extractOperations(cdnUrl: string): string[];
/**
 * Trim filename or file URL
 *
 * @param {String} cdnUrl
 * @returns {String}
 */
export function trimFilename(cdnUrl: string): string;
/**
 * Detect if filename is actually file URL
 *
 * @param {String} filename
 * @returns {Boolean}
 */
export function isFileUrl(filename: string): boolean;
/**
 * Split file URL into the path and search parts
 *
 * @param {String} fileUrl
 * @returns {{ pathname: String; search: String; hash: String }}
 */
export function splitFileUrl(fileUrl: string): {
    pathname: string;
    search: string;
    hash: string;
};
export function normalizeCdnOperation(operation?: string | unknown): string;
export function joinCdnOperations(...operations?: (string | unknown)[]): string;
export function createCdnUrlModifiers(...cdnOperations?: (string | unknown)[]): string;
export function createCdnUrl(baseCdnUrl: string, cdnModifiers?: string, filename?: string): string;
export function createOriginalUrl(cdnUrl: string, uuid: string): string;
//# sourceMappingURL=cdn-utils.d.ts.map